Package org.apache.sysds.runtime.controlprogram.parfor

## Class RemoteParForJobReturn

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.RemoteParForJobReturn

    public class RemoteParForJobReturn
    extends Object

Wrapper for job return of ParFor REMOTE for transferring statistics and result symbol table.

### Constructor Summary

Constructors
`RemoteParForJobReturn​(boolean successful, int numTasks, int numIters, LocalVariableMap[] variables)`
`RemoteParForJobReturn​(boolean successful, int numTasks, int numIters, LocalVariableMap[] variables, Lineage[] lineages)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Lineage[]` `getLineages()`
`int` `getNumExecutedIterations()`
`int` `getNumExecutedTasks()`
`LocalVariableMap[]` `getVariables()`
`boolean` `isSuccessful()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteParForJobReturn

    public RemoteParForJobReturn​(boolean successful,
                                 int numTasks,
                                 int numIters,
                                 LocalVariableMap[] variables)

#### RemoteParForJobReturn

    public RemoteParForJobReturn​(boolean successful,
                                 int numTasks,
                                 int numIters,
                                 LocalVariableMap[] variables,
                                 Lineage[] lineages)

### Method Detail

#### isSuccessful

    public boolean isSuccessful()

#### getNumExecutedTasks

    public int getNumExecutedTasks()

#### getNumExecutedIterations

    public int getNumExecutedIterations()

#### getVariables

    public LocalVariableMap[] getVariables()

#### getLineages

    public Lineage[] getLineages()